I cant update parrot

hola no puedo actulizar ni instalar ningun programa por terminal

tengo los mirrors bien lo he comprobado varias veces. desde ayer no puedo actualizar

$sudo apt-get update
Obj:2 http://deb.parrotsec.org/parrot stable InRelease
Obj:1 http://screenshots.getdeb.net xenial-getdeb InRelease
Leyendo lista de paquetes… Hecho

sudo apt-get dist-upgrade
Leyendo lista de paquetes… Hecho
Creando árbol de dependencias
Leyendo la información de estado… Hecho
Calculando la actualización… Hecho
El paquete indicado a continuación se instaló de forma automática y ya no es necesario.
libtomoyotools3
Utilice «sudo apt autoremove» para eliminarlo.
Los siguientes paquetes se ELIMINARÁN:
tomoyo-tools
Se actualizarán los siguientes paquetes:
parrot-core
1 actualizados, 0 nuevos se instalarán, 1 para eliminar y 0 no actualizados.
Se necesita descargar 25,9 kB de archivos.
Se liberarán 516 kB después de esta operación.
¿Desea continuar? [S/n] s
Err:1 http://matojo.unizar.es/parrot stable/main amd64 parrot-core all 3.11.190225
No se pudo conectar a matojo.unizar.es:80 (155.210.4.100), caducó el tiempo para conexión
E: Fallo al obtener http://matojo.unizar.es/parrot/pool/main/p/parrot-core/parrot-core_3.11.190225_all.deb No se pudo conectar a matojo.unizar.es:80 (155.210.4.100), caducó el tiempo para conexión
E: No se pudieron obtener algunos archivos, ¿quizás deba ejecutar «apt-get update» o deba intentarlo de nuevo con --fix-missing?

Use this command.
$apt-get upgrade --fix-missing

Sigues con el problema??
Quizas un:
apt autoclean
apt update
apt upgrade

Si no te funciona pon mensaje por aquí!!!:v:t2:

1 Like

NEVER ever run apt upgrade on a rolling release distribution, it will cause many issues with the first complex upgrade

ALWAYS use apt dist-upgrade or apt full-upgrade instead

3 Likes

palinuro - I guess I was a little too late to read this comment.

Not only did I do a “sudo apt-get update && apt-get upgrade”, but also a “sudo apt-get upgrade --fix missing”.

As a result I lost everything, and now my Raspberry Pi displays a “Rainbow Boot Screen”. Just like on this image of this guy’s article:

So I guess I must start over again, huh? It seems like I will stumble on every possible error before being able to do anything with Parrot Security OS. I don’t mind, at least I’m learning the hard why, which is usually the best of teachers.

1 Like

gesala - Sí, valió “merga”, hahaha…

Hahaha you should have read my earlier comment I had to reformat a HDD I made such a mess up.

Regards

Troll

1 Like

Kernel_Troll - For real! I didn’t see your comment, I sure would have read it. But let me know if there’s another easy to mess up and costly error I could avoid doing. Any tips are welcome. Thanks again!

Hello Master… You know much more than me, that’s obvious and i don’t want to contradict you… Thanks for everything you do as leader of the project parrot.
But i only “dist-upgrade” when you say there is a new release. Never had a problem (no tomoyo problem, nor anything). I tried two weeks ago the raspberry pi image (downloaded 3.9 image from the web) and i did a dist-upgrade… and had the rainbow boot screen. I did it twice. Another user from america had the same exact problem. My third time i did only did a “upgrade” and i didn’t get this screen.

Extract form debianunstable FAQ:

"The most important thing is to keep in mind that you are participating in the development of Debian when you are tracking testing or unstable. This means that you should know your way around Linux, Debian and the Debian packaging system and that you should have an interest in tracking down and fixing bugs. There are a couple of things you can do in order to ease your life as a testing/sid user such as:

Always be careful when you perform updates and check if the actions proposed by the package managing tools are in line with your wishes and expectations. (i.e. make sure that you do not remove a plethora of packages you need by blindly accepting the proposed action)

Bearing this in mind, apt-get dist-upgrade to keep your system fully up-to-date, but if the proposed changes do look unreasonable, some of the simpler things that could help are:
    put packages on hold until the problem in the archive is resolved,

    **use apt-get upgrade to avoid removals this time,**
    simply wait until the archive has settled down to a more reasonable state before upgrading. 

Install the apt-listbugs and apt-listchanges packages in order to be made aware of grave bugs or important changes when you install new packages or during an upgrade.

Consider subscribing to debian-devel-announce@lists.debian.org (very low-traffic mailing list, 1 to 10 per month) to be notified on future technical changes or possible problems.

Keep a good live CD/USB such as Debian Live around at all times so you can still work on the system even if it is not booting anymore.
Automatically create daily, weekly and monthly backups in order to ensure that corrupted data is not a problem. "

Pues ya lo siento…desde luego yo con la imagen arm recien descargada desde la pagina web parrotsec que es una 3.9, si haces un dist-upgrade te sale la pantallita… Lo he probado 2 veces teniendo el mismo error. Un compañero latinoamericano tuvo el mismo problema… el tiene una rpi3 y yo una 2B+ , la unica forma que pudimos deshacernos del error de la pantalla fue ejecutando un upgrade y no un dist-upgrade…
Sea lo que sea, siento mucho que se te haya fastidiado la instalacion!

1 Like

gesala - No pasa nada, al contrario gracias por tener la atención de contestarme y ayudarme a resolver ver mis tropiezos con Parrot Security OS.

Lo único es que ya no me quedó claro que fue lo averió mi instalación, puesto que efectivamente sí hice un “apt upgrade” y no un “dist-upgrade”.

Entonces, al volver a intentarlo, ¿qué hago?

Ya te han dicho tanto palinuro como otras 2 personas lo que tenias que haber hecho… Lo que te dije yo parece que te mando al traste todo, por lo que me siento culpable amigo. Sigo diciendo lo mismo, pero tanto palinuro como el resto saben mas que yo… Sorry amigo.
En este caso parece que no te soy de gran ayuda…:pensive:
Hazles caso y si te va mal, vuelta a instalar…

Vuelves a instalar y me haces caso a mi claro!!!:grinning:

Y si puedes comentas tu experiencia por si es un bug o no…lo cual sera de gran ayuda para los desarrolladores

gesala - Sí me quedo claro lo que dijeron todos, desde la primera vez, pero como son contradictorias las soluciones, pues me quedó la ambigüedad, ya que tu dices que te funcionó lo que ellos dicen que es incorrecto hacer, pero bueno.

Voy a hacer lo que dices. Primero la opción de ellos, si falla, pues nuevamente hago lo que dices tú. Aquí comento mi hallazgo.

1 Like

I’ll follow “palinuro’s” advice, if it fails, I will attempt “gesala’s” advice. I’ll post my results.

1 Like

jajajaja que fin tuvo?

que bueno que me dices eso, del dist-upgrade lol nunca lo usare, yo tengo un problema con la pantalla de bloqueo, o al momento de cambiar tema me sale en pantalla negra. :frowning: Tenia Parrot 4.10 security MATE, luego instale KDE y deinstale el MATE, pero parece que perdi el lock screen o algo. Pero cuando entro todo esta bien, el problema es al momento de cambiar tema o bloquear la pantalla o cuando en modo “Sleep”.